Commit 415d9f50 authored by Howard Chu's avatar Howard Chu
Browse files

Reject BDB version 4.3; it is too unstable.

parent 15502d87
...@@ -691,8 +691,8 @@ AC_DEFUN([OL_BDB_COMPAT], ...@@ -691,8 +691,8 @@ AC_DEFUN([OL_BDB_COMPAT],
# define DB_VERSION_MINOR 0 # define DB_VERSION_MINOR 0
#endif #endif
/* require 4.2 or later */ /* require 4.2 or later, but exclude 4.3 */
#if (DB_VERSION_MAJOR >= 4) && (DB_VERSION_MINOR >= 2) #if (DB_VERSION_MAJOR >= 4) && (DB_VERSION_MINOR >= 2) && (DB_VERSION_MINOR !=3)
__db_version_compat __db_version_compat
#endif #endif
], [ol_cv_bdb_compat=yes], [ol_cv_bdb_compat=no])]) ], [ol_cv_bdb_compat=yes], [ol_cv_bdb_compat=no])])
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment